Welcome

Welcome to Samurize
Samurize is an system monitoring application for Win2K/WinXP, that can display information about your system
right on your desktop or as an Explorer TaskBand (a TaskBar Toolbar).

Its integration with NT PerfMons gives an unparalleled flexibility in displaying a wide array of information
about your system while using as little resources as possible.


Information

Information - What is Samurize?
Short description:
Samurize is the successor to the quite popular program CureInfo. It is a system monitoring utility with some pretty awesome configuration power. The configuration program is separated from the client for minimal memory usage. For the moment Samurize is in beta state. This means: Bugs can and does exist, all optimitions have not yet been done.

The program it self displays almost any kind of information right on your desktop/taskbar and homepage (server/taskbar version is in production).

There's also a Taskbar-version, which enables the user to display info right on the toolBar.
Main features already implemented:
* A redesigned configuration tool
* Low CPU usage (<1% on Celeron 633)
* Per pixel alpha blending (text and graphs is actually AA'd against your desktop)
* Full PNG32-support (That is AlphaTranparent PNGs)
Meters Supported:
* Perfmon object
(That's a few 100 meters)
* Script support
(Javascript/VBscript, ie make your own meters with ease)
* Full memory monitoring
(Physical/Virtual/Swap)
* Drive monitoring
(Network/Fixed/Mapped)
* Laptop support
(Battery Level/Status)
* Console Support
(Implement allmost *any* DOS-command into Samurize)
* Uptime
* Date / Time
* POP3-support
(Supports multiple mail-accounts)
* TotalNet Sent/Recieved
* Winamp
(Current Song playing)
* Full MBM support
(Any sensor, requires MotherBoard Monitor installed)
* TextFileSupport
(Display lines from textfiles up to 4 gb large)
Other Features:
* Click through (work right through your meters)
* Always on top
* Pin to desktop
* Unlimited number of graphs/meters
* Multiple Instances
Requirements:
* Geforce 1 or better (needed to for hardware supported per pixel alpha blending)
* Win2k/WinXP


Overview

Desktop Client Overview
The Desktop Client displays your configuration file on your desktop, by right-clicking the Tray-Icon you are presented with the following menu:
Select Config File: | Choose which Config file you would like to display, the Config files are stored in the \Configs sub-dir of the folder where you installed Samurize, by default "C:\Program Files\Samurize\Configs"
Reload Config: | After making changes to your config file using the Configuration Editor, use this item to Reload/Refresh your config.
Edit ConfigFile...: | Edit the config file currently being used directly in the Configuration Editor.
Position: | Always On Top: | Makes Samurize display on top of all other windows.
 | Pin to Desktop: | Makes Samurize window unmovable from its current position on the desktop, and ontop of desktop icons.
 | Normal Window Behaviour: | Makes Samurize display act as a regular window, allowing you to drag it and move it around the desktop.
 | Locked Position: | Locks Samurize display to its currunt position on the desktop.
 | Click Through: | Allows mouse clicks to go right through Samurize display and trigger on desktop items behind it.
 | Use Designed Position: | Makes the Client to display the config using the coordinates specified in the Configuration Editor.
Pause: | Stops Samurize from updating its display.
Client Info: | Instance name: | info about the currunt running instance of the Client, useful when running multiple Clients/Configs.
 | Config Name: | name of configuration file being used.
About: | Displays information about the current version of the Samurize Client.
Exit: | Terminates the Samurize Client.


Overview

Configuration Editor Overview
The Configuration Editor is used to design config files to be later used with the Desktop Client or the TaskBand Client. The interface is devided into three main sections, the design area, general settings at the buttom and the tabs area to add/edit meters.
Snap To Grid: | Control the increments(in pixels) in which meters move while dragging them with your mouse.
Zoom: | zoom the design in or out.
Use Bitmapped Background: | inserts an image as the background for the design area. for example a wallpaper.
Highlight Meters: | draws dim blue lines around meters to make them easier to spot.
Design BG Color: | changes the design area background color.

Tip: You can use the keyboard shortcut Ctrl+S to quickly save your work.


Edit Meters

Edit Meters Tab
you can use this tab to insert various kinds of counters, including PerfMon counters.
Standard Tasks:
Add Meter:
Text: | a simple text label.
Active Script: | displays Info gathered by a VBS or JS script, scripts should be in the \Scripts\ sub-folder of the folder in which you installed Samurize. Default path would be "C:\ProgramFiles\Samurize\Scripts"
 | Select Script: | Choose the script filename.
 | Select Function: | Choose the function desired from the selected script.
 | Run every X min | How often to run the script, its advised Not to use less than 3 mins.
 | Test Script/Result: | Allows you to test the script output and see if its correct.
Console Program: | captures the output of a win32 console program or command. useful as simple plug-in support.
Date/Time | Displays the Date and Time in a custom format that can be defined by the user. Refer to the Date & Time Formatting Guide for more info.
Drive Space: | returns info on physical or networked drives in various units including %.
MBM: | Displays info from MotherBoard Monitor sensors.
Memory: | returns info on free/used/total memory available in customizable units.
PerfMon: | Perfmons are counters provided by NT OS's that provide a wealth of info on various parts of your system.
Pop3: | checks the number of availiable messages on a POP3 email account.
Text File: | reads a line(s) from a text-file, the counter updates automatically if the file size/modified attributes change.
Total Up/Down: | shows the total bandwidth consumed on a network intferface.
Uptime: | displays OS uptime in a customizable format.
Winamp: | displays the song curruntly playing in winamp.
Labtop Battery: | shows percentage charged or the status of a laptop battery.


Edit Graphics

Edit Graphics tab
you can add and edit the properties of DrawObjects (png's, pre-defined shapes) from this tab.
Standard Tasks:
Add DrawObject:
32Bit PNG | inserts an alpha-blended PNG image.
 | Filename | path to image file.
 | Master Alpha | alpha-blending level 0-255
 | Reset Size | resets the image to its original size.
Rectangle | adds a rectangle-shape object.
 | Filled | fills the rectangle background with color.
 | Alpha Blending | alpha-blending level 0-255
 | Select Color... | selects fill color.


Project Options

Project Options tab
here you can set some setup options to control general properties of the config file being designed.
Update Interval (ms) Sets how often the client updates the values of meters (refresh interval), the setting is in mili-seconds, 1 second = 1000 ms.


Date & Time Formatting Guide
Specifier | Displays
%b | break line
c | date using the format given by the ShortDateFormat global variable, followed by the time using the format given by the LongTimeFormat global variable. The time is not displayed if the date-time value indicates midnight precisely.
d | day as a number without a leading zero (1-31).
dd | day as a number with a leading zero (01-31).
ddd | day as an abbreviation (Sun-Sat) using the strings given by the ShortDayNames global variable.
dddd | day as a full name (Sunday-Saturday) using the strings given by the LongDayNames global variable.
ddddd | date using the format given by the ShortDateFormat global variable.
dddddd | date using the format given by the LongDateFormat global variable.
m | month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mm | month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mmm | month as an abbreviation (Jan-Dec) using the strings given by the ShortMonthNames global variable.
mmmm | month as a full name (January-December) using the strings given by the LongMonthNames global variable.
yy | year as a two-digit number (00-99).
yyyy | year as a four-digit number (0000-9999).
h | hour without a leading zero (0-23).
hh | hour with a leading zero (00-23).
n | minute without a leading zero (0-59).
nn | minute with a leading zero (00-59).
s | second without a leading zero (0-59).
ss | second with a leading zero (00-59).
z | millisecond without a leading zero (0-999).
zzz | millisecond with a leading zero (000-999).
t | time using the format given by the ShortTimeFormat global variable.
tt | time using the format given by the LongTimeFormat global variable.
am/pm | uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
a/p | uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
ampm | uses the 12-hour clock for the preceding h or hh specifier, and contents of the TimeAMString global variable for any hour before noon, and the contents of the TimePMString global variable for any hour after noon.
/ | date separator character given by the DateSeparator global variable.
: | time separator character given by the TimeSeparator global variable.
'xx'/"xx" | characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.


FAQ

Frequently Asked Questions

FAQ was compiled by Mardagg

Q: What hardware requirements are needed to run Samurize?
A: Microsoft Windows 2000/XP & A GFX Card that have hardware support for alpha blending in Windows (Geforce 1+). Note: The toolbar version is not depended on the type of GFX Card due to different type of blending.
Q: Does Samurize support Windows 95/98/Millennium Edition?
A: Unfortunately Samurize uses the Windows Performance Counters to gather most of its data, which do not exist in Windows 9X and Millennium Edition. Also, Windows 9X does not support alpha blending which is needed for Samurize in it's current state.
Q: How can I add the upload & download speed of my network in the config editor?
A: Step by step: Go to Meter List> Add Meter> Add PerfMon> Performance object> Network Interface> Bytes Received/sec> (select your network adapter). If you want to show upload, select Bytes Sent/sec.
Q: How can I add the CPU usage perfmon meter in the config editor?
A: Step by step: Go to Meter List> Add Meter> Add PerfMon> Performance object> Processor> % Processor time.
Q: How much memory does Samurize use, my configuration is using over 15MB?
A: Normally it should take about 3-4 megabytes of memory. My guess is that you are using Active Scripts. This is not the fault of Samurize, Microsoft's runtimes-libraries use a lot memory. So if you want it to take less memory, skip the Active Scripts.
Q: How do I activate new scripts that I have put into the scripts folder?
A: In the config editor, go to the Meter List, Add Meter, Add active script, at the bottom of that tab you'll see Active Script: Select script & select function to run. once you pick the script you want, it'll give you new options in the select function to run.
Q: How do I use Samurize in a toolbar?
A: Toolbar support will be added AGAIN after most bugs have been removed.
Q: I'm having a problem with scripts using Windows 2000, is there a fix?
A: Try downloading the Microsoft Windows Script Control update from the following web site: active script component.
Q: After a while my RAS counters disappear, how do I get them back?
A: What happens is that when a perfmon crashes or doesn't report data for awhile Windows disables it and leaves it disabled. You will probably find relevant events in your event log. You can view the status of your perfmon and enable/disable them using the exctrlst.exe tool from MS, its part of Windows 2000 resource kit, you can download it here: (It also works on Windows XP Pro) download exctrlst.exe here
Q: I have a question that's not in this FAQ, what should i do?
A: If you have questions about the util., please ask them in the forums or in some cases you can email Cure or Sim(cure@samurize.com / sim@samurize.com) Or if you have questions about the site, you can freely email me, SweetFish on sweetfish@samurize.com

Or if you have a question you think should be in this FAQ contact Mardagg ( mardagg@samurize.com ICQ: 1122793)


TroubleShooting
1. I keep receiving Exception Errors when trying to launch the Config Editor or when trying to add an Active Script Meter.
Download and Install this active script component from MS site.
2. Some PerfMons are missing when trying to add a PerfMon counter, or a PerfMon counter stops functioning.
This happens when a PerfMon crashes, by default windows Disables the offending PerfMon library and keeps it disabled, even if you reboot.

To view the list of PerfMons available on your system and enable/disable any of them, you need the exctrlst.exe tool from w2k resource kit. download exctrlst.exe here.

It works on both w2k and xp systems, simply close Samurize Client before using it, enable missing PerfMons libraries then re-load the Client.


Tips
You can use the keyboard shortcut Ctrl+S to quickly save your work while in the Config Editor.
While designing a config, you will notice a rectangle around all your graph areas, if this rectangle is green then performance should be optimal while if its red then performance might degrade, try not to spread your config over a very large area.
Clicking on Samurize icon in the System-Tray a single-click with your left mouse button will make Samurize Disappear/Pause, Clicking it again will return to normal. useful before playing games.


Contact
Website: http://www.samurize.com/
Forums: http://www.samurize.com/forum/index.php
Samurize Programmers
 | Gustaf Lundh aka "Cure"
 | Founder/Programmer (of the Samurize util.)
 | email: cure@samurize.com
 | icq: 18690077
 | Oscar lundh aka "Sim"
 | Founder/Programmer (of the Samurize util.)
 | email: sim@samurize.com
 | icq: 18214860
WebMasters
 | Sven Andersson aka "SweetFish"
 | Founder/Programmer/gfx of the site
 | Head WebMaster
 | email: sweetfish@samurize.com
 | icq: 64250303
 | Eric Jonsson aka "bamsefar"
 | Server/Webhost Admin
 | email: bamsefar@samurize.com
 | icq: 125856972
Moderators
 | Thomas backman aka "Jarjar"
 | IRC Channel Moderator
 | email: jarjar@samurize.com
 | icq: 41549266
 | Anders Karlstrom aka "thrawn"
 | Forum Moderator
 | email: a.karlstrom@home.se
 | icq: 8245186
 | Martin Rocklinger aka "Kloppe"
 | Forum Moderator
 | email: kloppe_02@hotmail.com
 | icq: 134295200
 | Robert Budd aka "Mardagg"
 | Forum Moderator
 | email: mardagg@samurize.com
 | icq: 1122793
 | Rowan Gillson aka "D0ktr_EvL"
 | Scripting Forum Moderator
 | email: r_gillson@hotmail.com
 | icq: 14895674
Others
 | Emil Skoglund aka "res"
 | General Slave
 | email: emil@home.se
 | icq: 7152385
 | Mohamed H. Tawfiq aka "pulp"
 | Help File Maintainer
 | email: mhtawfiq@samurize.com